features:
  primary:
    - name: "Use both branch and MR pipelines without duplication"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/variables/predefined_variables.html#predefined-environment-variables-reference'
      image_url: '/images/unreleased/yaml_example_avoid_duplicate_pipelines.png'
      reporter: thaoyeager
      stage: verify
      categories:
        - 'Continuous Integration (CI)'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/201845'
      description: |
        Previously it was not possible to run pipelines for branches first, then switch to [merge requests pipelines](https://docs.gitlab.com/ee/ci/merge_request_pipelines/) when the MR is created. Consequently, with some configurations, a push to a branch could result in duplicate pipelines if a merge request was already open on the branch: one pipeline on the branch and another for the merge request. Now you can use the new `$CI_OPEN_MERGE_REQUESTS` predefined environment variable in your CI configurations to switch from branch pipelines to MR pipelines at the right time, and prevent redundant pipelines.
